#!/bin/sh

. /scratchbox/users/$USER/`ls -la /scratchbox/users/$USER/targets/links/scratchbox.config | cut -d / -f 8-`

# Check if I am not inside sb 
if [ ! -f "/run.sh" ] ; then
	ADD="--config /scratchbox/users/$USER/home/$USER/.sbrsh"
else
	ADD=""
fi

# check that we have shell
if [ ! -x "/scratchbox/users/$USER/targets/$SBOX_TARGET_NAME/bin/sh" ] ; then
	echo "You don't have shell compiled for your target!"
	exit 1
fi

/scratchbox/tools/bin/sbrsh $ADD $SBOX_TARGET_NAME /bin/sh

